Bug 1310509 (CVE-2016-1950)

Summary: CVE-2016-1950 nss: Heap buffer overflow vulnerability in ASN1 certificate parsing (MFSA 2016-35)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ajanorka, emaldona, hkario, huzaifas, kengert, rrelyea, security-response-team, slawomir, slong, szidek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20160308,reported=20160222,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/nss=affected,rhel-6/nss-util=affected,rhel-7/nss-util=affected,fedora-all/nss-util=affected,rhel-6.2.z/nss-util=affected,rhel-6.4.z/nss-util=affected,rhel-6.5.z/nss-util=affected,rhel-6.6.z/nss-util=affected,rhel-7.1.z/nss-util=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow flaw was found in the way NSS parsed certain ASN.1 structures. An attacker could use this flaw to create a specially crafted certificate which, when parsed by NSS, could cause it to crash, or execute arbitrary code, using the permissions of the user running an application compiled against the NSS library.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-29 03:41:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1310512, 1310513, 1310514, 1310515, 1310516, 1316002, 1317443, 1317444, 1317445, 1317446, 1317448    
Bug Blocks: 1310521    
Attachments:
Description Flags
upstream patch on top of nss 3.21, from nss 3.21.1 none

Description Huzaifa S. Sidhpurwala 2016-02-22 04:57:48 UTC
A heap-based buffer overflow was found in the ASN.1 parsing code of NSS. A remote attacker could create a specially-crafted certificate, which when parsed by NSS, could the application linked with NSS to crash or potentially execute code with the permission of the user running such an application.

Applications such as web browsers which parse untrusted web content are specially vulnerable to this issue.

Comment 4 Kai Engert (:kaie) (inactive account) 2016-02-22 16:12 UTC
Created attachment 1129399 [details]
upstream patch on top of nss 3.21, from nss 3.21.1

Comment 8 Huzaifa S. Sidhpurwala 2016-03-07 03:51:33 UTC
Acknowledgements:

Name: the Mozilla project
Upstream: Francis Gabriel

Comment 9 Martin Prpič 2016-03-08 09:09:51 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2016-35

Comment 10 errata-xmlrpc 2016-03-09 03:40:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0371 https://rhn.redhat.com/errata/RHSA-2016-0371.html

Comment 11 errata-xmlrpc 2016-03-09 03:54:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0370 https://rhn.redhat.com/errata/RHSA-2016-0370.html

Comment 12 Huzaifa S. Sidhpurwala 2016-03-09 08:43:18 UTC
Created nss-util tracking bugs for this issue:

Affects: fedora-all [bug 1316002]

Comment 15 errata-xmlrpc 2016-03-23 09:53:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Extended Update Support

Via RHSA-2016:0495 https://rhn.redhat.com/errata/RHSA-2016-0495.html